﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.IO;

namespace Швейная_фабрика
{
    public partial class fManager : Form
    {
        public Texture CurrentTexture = null;

        public fManager()
        {
            InitializeComponent();
        }

        List<Texture> lstTexture = new List<Texture>();

        void ShowData()
        {

        }

        void GetData()
        {
            SqlConnection con = new SqlConnection(fAuthorization.txtCon);
            con.Open();
            string txtQuery = @"SELECT        Textures.TextureID, Textures.TextureName, Textures.TextureTypeID, Textures.ColourID, Textures.Width, Textures.Length, Textures.Description, Textures.TexturePhoto, TextureType.TextureTypeName, 
                         Colours.ColourName
FROM            Textures INNER JOIN
                         TextureType ON Textures.TextureTypeID = TextureType.TextureTypeID INNER JOIN
                         Colours ON Textures.ColourID = Colours.ColourID";
            SqlCommand query = new SqlCommand(txtQuery, con);
            SqlDataReader res = query.ExecuteReader();
            flpTextures.Controls.Clear();
            while (res.Read())
            {
                TextureData data = new TextureData(); 
                Texture texture = new Texture(data);
                texture.lblName.Text = "Название: " + res["TextureTypeName"] + " " + res["TextureName"];
                texture.lblColour.Text = "Цвет: " + res["ColourName"];
                texture.lblWidth.Text = "Ширина: " + res["Width"] + " см";
                texture.lblLength.Text = "Длина: " + res["Length"] + " см";
                texture.lblColour.Text = "Описание: " + res["Description"];
                try
                {
                    MemoryStream ms = new MemoryStream();
                    byte[] mas = res["TexturePhoto"] as byte[];
                    ms.Write(mas, 0, mas.Length);
                    texture.pbxPhoto.Image = Image.FromStream(ms);
                }
                catch
                {
                    texture.pbxPhoto.Image = Properties.Resources.picture;
                }
                texture.ID = res["TextureID"].ToString();

                texture.Click += ItemFurniture_Click;
                texture.pbxPhoto.Click += ItemFurniture_Click;
                texture.lblName.Click += ItemFurniture_Click;

                flpTextures.Controls.Add(texture);
                if (flpTextures.Controls.Count == 1)
                {
                    texture.BackColor = Color.LightGreen;
                    CurrentTexture = texture;
                }
            }
            con.Close();
        }


        void ItemFurniture_Click(object sender, EventArgs e)
        {
            CurrentTexture.BackColor = Color.White;
            CurrentTexture = sender as Texture;
            CurrentTexture.BackColor = Color.LightGreen;
        }


        private void fManager_Load(object sender, EventArgs e)
        {
            GetData();
            ShowData();
        }
    }
}
